plurrule.h File Reference

C++ API: PluralRules object. More...

`#include "unicode/utypes.h"`
`#include "unicode/format.h"`
`#include "unicode/upluralrules.h"`
`#include "unicode/numfmt.h"`

Go to the source code of this file.

## Data Structures

class | icu::PluralRules
| Defines rules for mapping non-negative numeric values onto a small set of keywords. More...

## Namespaces

| icu
| File coll.h.

## Macros

#define | UPLRULES_NO_UNIQUE_VALUE ((double)-0.00123456777)
| Value returned by PluralRules::getUniqueKeywordValue() when there is no unique value to return. More...

## Detailed Description

C++ API: PluralRules object.

Definition in file plurrule.h.

## Macro Definition Documentation

## UPLRULES_NO_UNIQUE_VALUE

#define UPLRULES_NO_UNIQUE_VALUE ((double)-0.00123456777)

Value returned by PluralRules::getUniqueKeywordValue() when there is no unique value to return.

Stable:
  ICU 4.8

Definition at line 43 of file plurrule.h.